Bug 235085 - Regressions after last update on Thinkpad x60s
Regressions after last update on Thinkpad x60s
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 224170 427887
  Show dependency treegraph
Reported: 2007-04-03 14:28 EDT by Andy Shevchenko
Modified: 2008-06-16 21:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2007-04-03 14:28:08 EDT
Description of problem:
After update from 
two issues has been discovered on my laptop.

The first one is regression blanking in X server when click Fn+BrightDown 
(also more information is placed in bug #224170).

The second is unfunctionality of Fn+Suspend(to ram).
When I click the Fn+Suspend the laptop is shutting down and switch on the 
sleep led in flashing mode (on/off changes with ~2Hz frequency). No possible 
to back instead of full power off and reboot again. With 2.6.19 the sleep led 
is on without flash.

Additional info:
Reboot with 2.6.19 kernel fix situation.
Comment 1 Andy Shevchenko 2007-04-03 14:40:31 EDT
Possible related to bug #234762
Comment 2 John Heidemann 2007-06-11 14:50:16 EDT
See bug #243759 for work-arounds for the suspend problem.
Comment 3 Andy Shevchenko 2007-06-12 03:17:57 EDT
Thanks. I'll try it when do next boot.
Comment 4 Jon Stanley 2008-01-07 20:52:24 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Andy Shevchenko 2008-01-09 02:11:59 EST
I can't check it on F-8, but FC-7 shows pm-suspend is worked. However, key 
shortcuts still doesn't work: not suspend nor hibernate.
Comment 6 Christopher Brown 2008-01-14 12:49:42 EST
Andy, have you installed the tpb package as this may help you here...
Comment 7 Andy Shevchenko 2008-01-20 15:31:07 EST
When I try to push Fn+F12 (suspend to disk) after I've installed the tbp 
package I've got the following message:

Jan 20 22:25:37 localhost kernel: hald-addon-acpi[3059]: segfault at 00000ffc 
eip 00ba83ec esp bfb51e18 error 4

P.S. F-7 with last updates after clean boot.
Comment 8 Christopher Brown 2008-01-21 11:25:02 EST
Sorry to hear it. This helps on my t42 but clearly not in your case. In fact, a
conversation on IRC indicates that tpb may soon be deprecated. Sorry to have led
you down the wrong path here.

Are you now testing on Fedora 7 or 8? If you can fire up the latter from a live
cd this might help narrow things down...
Comment 9 Andy Shevchenko 2008-01-21 16:12:25 EST
Fedora 7.
Sorry, I have x60s w/o any removable devices (as you know the 12" x series 
need dock station to have CD or floppy), but SD-flash or usb-flash.
Comment 10 Bug Zapper 2008-05-14 08:11:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2008-06-16 21:17:17 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.